Loading...
Searching...
No Matches

## sisnan()

logical function sisnan | ( | real, intent(in) | sin | ) |

SISNAN tests input for NaN.

Download SISNAN + dependencies [TGZ] [ZIP] [TXT]

Purpose:

      !>
      !> SISNAN returns .TRUE. if its argument is NaN, and .FALSE.
      !> otherwise.  To be replaced by the Fortran 2003 intrinsic in the
      !> future.
      !>

Parameters

  [in]

  SIN

      !>          SIN is REAL
      !>          Input to test for NaN.
      !>

Author
  Univ. of Tennessee
  Univ. of California Berkeley
  Univ. of Colorado Denver
  NAG Ltd.